View Single Post
Old 12-08-05, 07:27 AM   #1
Kether
Registered User
 
Join Date: Dec 2005
Posts: 1
Default 1.0-8174 isntaller cannot determine kernel version

When I try to install 8174 the installer complains it cannot determine my kernel's version to compile the nvidia kernel module. I tried to specify by hand the path to the kernel sources but there is no change.

In fact, when I tried to compile the module by hand (extracting the installer, and doing a simple "make install" in the appropiate directory) the compiler complained a bit, threw a few warnings, but the module compiled and installed. Finally I did a few dirty things to get the entire driver installed, although the installer problem is still there.

I'm using a custom kernel compile from debian's package linux-source-2.6.14 version 2.6.14-4. The kernel (and now the module) is compiled using gcc 4.0.3 20051201 (Debian package gcc-4.0 4.0.2-5). I think perhaps there is an issue with the compiler, but I don't want to recompile the entire kernel just to see if the installer works. And remember that "by hand" the module compile.

Also, as a note, 7676 installed with no problems at all with the same configuration.

Attached is my nvidia-installer log, if you need some of my kernel headers pelase tell me.
Attached Files
File Type: log nvidia-installer.log (2.9 KB, 148 views)
Kether is offline   Reply With Quote